<?php

function audio_cortado_audio_player() {
  $items['cortado'] = array(
    'module'      => 'audio',
    'title'       => t('Cortado Java Applet'),
    'description' => t('Use cortado.jar audio player for OGG files'),
    'url'         => t(''),
    'preview'     => '',
    'formats'     => array('ogg'),
    'theme_node'  => 'audio_cortado_node_player',
  );
  return $items;
}

function theme_audio_cortado_node_player($node, $options = array()) {
  global $base_url;
  $source = check_url($node->url_play);
  $player = $base_url . '/' . drupal_get_path('module', 'audio') .'/players/cortado.jar';
  
  // Get playtime of song in seconds
  $playtime = $node->audio_fileinfo['playtime'];
  list($min, $sec) = split(':',$playtime);
  if ($min) {
    $min = (int)$min * 60;
  }
  $duration = (int)$min + (int)$sec;
  
  $output = <<<EOT
  
  <div id="cortado-player">
    <!--[if !IE]>-->
    <object classid="java:com.fluendo.player.Cortado.class" type="application/x-java-applet" archive="$player" height="20" width="250">
      <!-- Konqueror browser needs the following param -->
      <param name="archive" value="$player" />
      <param name="url" value="$source" />
      <param name="audio" value="true" />
      <param name="video" value="false" />
      <param name="bufferSize" value="200"/>
      <param name="seekable" value="true" />
      <param name="duration" value="$duration" />      
      <param name="autoPlay" value="false" />
      <param name="showStatus" value="show" />
      <param name="statusHeight" value="19" />
      <param name="userId" value="user" />
      <param name="password" value="test" />
    <!--<![endif]-->
    
    <object classid="clsid:8AD9C840-044E-11D1-B3E9-00805F499D93" codebase="http://java.sun.com/products/plugin/autodl/jinstall-1_4-windows-i586.cab#Version=1,4,0,0" height="20" width="250">
      <param name="code" value="com.fluendo.player.Cortado.class" />
      <param name="archive" value="$player" />
      <param name="url" value="$source" />
      <param name="audio" value="true" />
      <param name="video" value="false" />
      <param name="bufferSize" value="200"/>
      <param name="seekable" value="true" />
      <param name="duration" value="$duration" />      
      <param name="autoPlay" value="false" />
      <param name="showStatus" value="show" />
      <param name="statusHeight" value="19" />
      <param name="userId" value="user" />
      <param name="password" value="test" />
    </object>
      
    <!--[if !IE]>-->	
    </object>
    <!--<![endif]-->
  </div>
  
EOT;
  
  return $output;
}